List Networks
curl --request GET \
--url https://api.anchorage-staging.com/v3/networks \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v3/networks"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v3/networks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"keyFamily": "1",
"name": "Ethereum Mainnet",
"networkId": "ETH"
}
]
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}List Networks
Permissions required: None
List all blockchain networks supported by your organization.
GET
/
networks
List Networks
curl --request GET \
--url https://api.anchorage-staging.com/v3/networks \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v3/networks"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v3/networks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"keyFamily": "1",
"name": "Ethereum Mainnet",
"networkId": "ETH"
}
]
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Query Parameters
Include the specified network and all networks compatible with it for wallet key sharing. For example, ?includeCompatibleWith=ETH returns Ethereum and all other networks that can share keys with it.
Response
Success
Response containing a list of supported networks
Array of network details
Show child attributes
Show child attributes
Was this page helpful?